Contents
Index 🔎︎

# Join Function

Diraa qurxa diraawwanii baay'ee, tarree diraa keessa jiran deebisa.

### Syntax:

    Join (Text As String Array, delimiter)

### Return value:

Diraa

### Parameters:

Barruu: Waraantoo diraa.

delimiter (optional): Arfii diraa kan qurxa diraawwanii, diraa keessatti argaman addaan baasuuf fayyadu dha. Durtii daangessuun iddoo arfiiti. Yoo daangessaan diraa dheerinni isaa duwwaa "" ta'e, qurxaawwan diraa kan walqabatan fo'aa malee dha.

### Example:

    Dim a(3)
    Sub main()
        a(0) = "ABCDE"
        a(1) = 42
        a(2) = "MN"
        a(3) = "X Y Z"
        JStr = Join1()
        Call Show(JStr, Split1(JStr))
        JStr = Join2()
        Call Show(JStr, Split1(JStr))
        JStr = Join3()
        Call Show(JStr, Split1(JStr))
    End Sub

    Function Join1()
        Join1 = Join(a(), "abc")
    End Function

    Function Join2()
        Join2 = Join(a(), ",")
    End Function

    Function Join3()
        Join3 = Join(a())
    End Function

    Function Split1(aStr)
        Split1 = Split(aStr, "D")
    End Function

    Sub Show(JoinStr, TheArray)
        l = LBound(TheArray)
        u = UBound(TheArray)
        total$ = "=============================" + Chr$(13) + JoinStr + Chr$(13) + Chr$(13)
        For i = l To u
            total$ = total$ + TheArray(i) + Str(Len(TheArray(i))) + Chr$(13)
        Next i
        MsgBox total$
    End Sub

Matadureewwan Walfakkatan

String functions